package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import org.hibernate.validator.constraints.Length;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 检查发布关系对象 lab_check_record_release
 *
 * @author zd
 * @date 2022-02-17
 */
@ApiModel("检查发布关系")
public class LabCheckRecordRelease extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 检查表主键id */
    @Excel(name = "检查表主键id")
    @Length(message = "检查表主键id长度不能超过255")
    @ApiModelProperty(value = "检查表主键id")
    private String checkId;
    /** 描述 */
    @Excel(name = "描述")
    @Length(message = "描述长度不能超过255")
    @ApiModelProperty(value = "描述")
    private String releaseDescribe;
    /** 创建人id */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long userId;
    /** 创建人 */
    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /** 部门ID */
    @Excel(name = "部门ID")
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCheckId(String checkId)
    {
        this.checkId = checkId;
    }

    public String getCheckId()
    {
        return checkId;
    }
    public void setReleaseDescribe(String releaseDescribe)
    {
        this.releaseDescribe = releaseDescribe;
    }

    public String getReleaseDescribe()
    {
        return releaseDescribe;
    }

    @Override
    public Long getUserId() {        return userId;    }

    @Override
    public void setUserId(Long userId) {        this.userId = userId;    }

    @Override
    public String getCreateBy() {        return createBy;    }

    @Override
    public void setCreateBy(String createBy) {        this.createBy = createBy;    }

    @Override
    public Long getDeptId() {        return deptId;    }

    @Override
    public void setDeptId(Long deptId) {        this.deptId = deptId;    }

    @Override
    public String getDeptName() {        return deptName;    }

    @Override
    public void setDeptName(String deptName) {        this.deptName = deptName;    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("checkId", getCheckId())
                .append("releaseDescribe", getReleaseDescribe())
                .append("userId", getUserId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("remark", getRemark())
                .toString();
    }
}

